Browsing capsule /pub directory with https fails with forbidden don't have permission to access

/pub/ error.
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1860519 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/277,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/278

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1860519

Description of problem:

After upgrade from Red Hat Satellite 6.6 to 6.7, browsing capsule.example.com/pub directory fails with Forbidden errors.

You don't have permission to access /pub/ on this server

- /var/log/httpd/pulp-https_error_ssl.log

[autoindex:error] [pid 34896] [client 10.10.49.10:46870] AH01276: Cannot serve directory /var/www/html/pub/: No matching

DirectoryIndex (index.html,index.html.var,index.cgi,index.pl,index.php,index.xhtml) found, and server-generated directory index

forbidden by Options directive

Version-Release number of selected component (if applicable):

6.7

6.8-beta

How reproducible:

1) Browse https://capsule.example.com/pub --> It does not work

2) Browsing http://capsule.example.com/pub --> It works

Actual results:

Forbidden

You don't have permission to access /pub/ on this server

Additional Info:-
Issue started after upgrade from 6.6 to 6.7 only.

Workaround :  # sed -i -e 's/ Options/Options +FollowSymLinks +Indexes/g' /etc/httpd/conf.d/05-pulp-https.conf

- Installer overwrites Options directives,

[ WARN 2020-07-25T00:10:22 main] 

/Stage[main]/Pulp::Apache/Apache::Vhost[pulp-https]/Concat[05-pulp-https.conf]/File[/etc/httpd/conf.d/05-pulp-https.conf]/content:

[ WARN 2020-07-25T00:10:22 main] --- /etc/httpd/conf.d/05-pulp-https.conf       2020-07-24 21:29:40.458852002 0530

[ WARN 2020-07-25T00:10:22 main] ++ /tmp/puppet-file20200725-6707-190w1gd      2020-07-25 00:10:22.083480630 +0530

[ WARN 2020-07-25T00:10:22 main] @ -19,7 +19,7 @

[ WARN 2020-07-25T00:10:22 main]    <IfModule mod_passenger.c>

[ WARN 2020-07-25T00:10:22 main]      PassengerEnabled off

[ WARN 2020-07-25T00:10:22 main]    </IfModule>

[ WARN 2020-07-25T00:10:22 main] - Options +FollowSymLinks +Indexes

[ WARN 2020-07-25T00:10:22 main] +  Options

[ WARN 2020-07-25T00:10:22 main]    Require all granted

Associated revisions

Revision 8cfa1780 - 08/27/2020 03:23 PM - Eric Helms

Fixes #30716: Ensure /pub on foreman proxy can be browsed by default

Fixes regression introduced by f6790c4

History

#1 - 08/26/2020 06:48 PM - Eric Helms

- Project changed from Foreman to Installer

#2 - 08/26/2020 06:49 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/277 added

#3 - 08/27/2020 03:23 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#4 - 08/27/2020 03:53 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/278 added

#5 - 08/27/2020 04:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|8cfa178046a4dcd80f9e21c2f517f2cc75f67bcf.

#6 - 11/03/2020 02:30 PM - Tomer Brisker

- Category set to Foreman modules

#7 - 11/30/2020 05:53 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.3.0

- Triaged changed from No to Yes
